### Type parameters

- #### T

- #### I: QueryInput | ScanInput

- #### O: QueryOutput | ScanOutput

- #### Z: QueryResponse<T> | ScanResponse<T>

- #### R: QueryRequest<T> | ScanRequest<T>

### Hierarchy

- StandardRequest<T, I, ReadManyRequest<T, I, O, Z, R>>
  - ReadManyRequest
    - ScanRequest
    - QueryRequest

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- logger
- metadata
- modelClazz
- params
- secondaryIndex
- tableName
- DEFAULT_LIMIT
- INFINITE_LIMIT

### Methods

- doRequest
- exclusiveStartKey
- exec
- execCount
- execFetchAll
- execFullResponse
- execNoMap
- execSingle
- index
- limit
- mapFromDb
- returnConsumedCapacity
- where
- whereAttribute

## Constructors

### Protected constructor

- new ReadManyRequest(dynamoRx: DynamoRx, modelClazz: ModelConstructor<T>): ReadManyRequest

- Overrides StandardRequest.constructor

  - Defined in dynamo/request/read-many.request.ts:32

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### modelClazz: ModelConstructor<T>

  #### Returns ReadManyRequest

## Properties

### dynamoRx

dynamoRx: DynamoRx

Inherited from BaseRequest.dynamoRx

- Defined in dynamo/request/base.request.ts:23

### Protected Abstract logger

logger: Logger

- Defined in dynamo/request/read-many.request.ts:30

### metadata

metadata: Metadata<T>

Inherited from BaseRequest.metadata

- Defined in dynamo/request/base.request.ts:25

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from BaseRequest.modelClazz

- Defined in dynamo/request/base.request.ts:24

### params

params: I

Inherited from BaseRequest.params

- Defined in dynamo/request/base.request.ts:27

### Protected Optional secondaryIndex

secondaryIndex: SecondaryIndex<T>

- Defined in dynamo/request/read-many.request.ts:28

### tableName

tableName: string

Inherited from BaseRequest.tableName

- Defined in dynamo/request/base.request.ts:26

### Static DEFAULT_LIMIT

DEFAULT_LIMIT: number = 10

- Defined in dynamo/request/read-many.request.ts:25

### Static INFINITE_LIMIT

INFINITE_LIMIT: number = -1

- Defined in dynamo/request/read-many.request.ts:26

## Methods

### Protected Abstract doRequest

- doRequest(params: I): Observable<O>

- - Defined in dynamo/request/read-many.request.ts:32

  #### Parameters

  - ##### params: I

  #### Returns Observable<O>

### exclusiveStartKey

- exclusiveStartKey(key: Key | null): R

- - Defined in dynamo/request/read-many.request.ts:45

  #### Parameters

  - ##### key: Key | null

    A map representing the start id which is included in next call, if null is delivered startKey will be removed from params

  #### Returns R

### exec

- exec(): Observable<T[]>

- Overrides StandardRequest.exec

  - Defined in dynamo/request/read-many.request.ts:128

  #### Returns Observable<T[]>

### execCount

- execCount(): Observable<number>

- - Defined in dynamo/request/read-many.request.ts:114

  #### Returns Observable<number>

### execFetchAll

- execFetchAll(): Observable<T[]>

- - Defined in dynamo/request/read-many.request.ts:150

  fetches all pages. may uses all provisionedOutput, therefore for client side use cases rather use pagedDatasource (exec)

  #### Returns Observable<T[]>

### execFullResponse

- execFullResponse(): Observable<Z>

- Overrides StandardRequest.execFullResponse

  - Defined in dynamo/request/read-many.request.ts:138

  #### Returns Observable<Z>

### execNoMap

- execNoMap(): Observable<O>

- - Defined in dynamo/request/read-many.request.ts:93

  #### Returns Observable<O>

### execSingle

- execSingle(): Observable<T | null>

- - Defined in dynamo/request/read-many.request.ts:99

  #### Returns Observable<T | null>

### index

- index(indexName: string): R

- - Defined in dynamo/request/read-many.request.ts:55

  #### Parameters

  - ##### indexName: string

  #### Returns R

### limit

- limit(limit: number): R

- - Defined in dynamo/request/read-many.request.ts:67

  #### Parameters

  - ##### limit: number

  #### Returns R

### Protected mapFromDb

- mapFromDb(output: O): Z

- - Defined in dynamo/request/read-many.request.ts:154

  #### Parameters

  - ##### output: O

  #### Returns Z

### returnConsumedCapacity

- returnConsumedCapacity(level: ReturnConsumedCapacity): ReadManyRequest<T, I, O, Z, R>

- Inherited from BaseRequest.returnConsumedCapacity

  - Defined in dynamo/request/base.request.ts:48

  #### Parameters

  - ##### level: ReturnConsumedCapacity

  #### Returns ReadManyRequest<T, I, O, Z, R>

### where

- where(...conditionDefFns: ConditionExpressionDefinitionFunction[]): R

- - Defined in dynamo/request/read-many.request.ts:87

  #### Parameters

  - ##### Rest ...conditionDefFns: ConditionExpressionDefinitionFunction[]

  #### Returns R

### whereAttribute

- whereAttribute(attributePath: keyof T): RequestConditionFunction<R>

- - Defined in dynamo/request/read-many.request.ts:83

  #### Parameters

  - ##### attributePath: keyof T

  #### Returns RequestConditionFunction<R>

Generated using TypeDoc